Servizi principali API

Electronic Media Search Direct API

Televisione, radio, canali, programmi, trascrizioni, giornalismo diffuso e copertura audiovisiva delle notizie.

Riferimento API Versione: 1.0.0 4 Endpoint Autenticazione
Media Elettronici

URL base

https://api.pressmonitor.com/news-electronic/v1

Autenticazione

Tutte le richieste utilizzano l'autenticazione Bearer token. Aggiungi l'intestazione Authorization ad ogni chiamata.

Authorization: Bearer YOUR_TOKEN
GET /headlines

News Headlines

News Headlines

Parametri

Nome Tipo Posizione Obbligatorio Descrizione
keywords_text string query Keywords text
lang_code string query No Lang code
country_code string query No Country code
count integer query No Count
cursor string query No Cursor

Esempi di codice

curl --request GET --url 'https://api.pressmonitor.com/news-electronic/v1/headlines?keywords_text=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE'

Risposte

200 Success
GET /briefs

News Briefs

News Briefs

Parametri

Nome Tipo Posizione Obbligatorio Descrizione
keywords_text string query Keywords text
lang_code string query No Lang code
country_code string query No Country code
count integer query No Count
cursor string query No Cursor

Esempi di codice

curl --request GET --url 'https://api.pressmonitor.com/news-electronic/v1/briefs?keywords_text=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE'

Risposte

200 Success
GET /fulltext

News Fulltext

News Fulltext

Parametri

Nome Tipo Posizione Obbligatorio Descrizione
keywords_text string query Keywords text
lang_code string query No Lang code
country_code string query No Country code
count integer query No Count
cursor string query No Cursor

Esempi di codice

curl --request GET --url 'https://api.pressmonitor.com/news-electronic/v1/fulltext?keywords_text=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE'

Risposte

200 Success
GET /clip

Clip

Clip

Parametri

Nome Tipo Posizione Obbligatorio Descrizione
id string query Id
date string query Date
host string query No Host
ttl integer query No Ttl

Risposte

200 Success